:root {
	--white: hsl(0, 0%, 100%);
	--text: hsl(0, 0%, 7%);
	--grey: hsl(0, 0%, 60%);
	--grey-light: hsl(240, 0%, 96%);
	--primary: hsl(84, 100%, 59%);
	--secondary: hsl(264, 100%, 59%);
	--grid-color: hsl(0, 0%, 0%, 0.02);
}

*,
*::before,
*::after {
	box-sizing: inherit;
}

html {
	font-size: 100%;
	box-sizing: border-box;
}

body {
	font-size: 1rem;
	font-family: "IBM Plex Mono", monospace;
	font-weight: 400;
	font-style: normal;
	line-height: 1.5;
	color: var(--text);
	background-color: var(--white);
	margin: 0;
	padding: 0;
	width: 100vw;
	height: 100vh;
	overflow: hidden;
	display: flex;
	justify-content: center;
	align-items: center;
	user-select: none;
	-webkit-user-select: none;
	background-size: 55px 55px;
	background-image:
		linear-gradient(to right, var(--grid-color) 1px, transparent 1px),
		linear-gradient(to bottom, var(--grid-color) 1px, transparent 1px);
}

p {
	margin: 1em 0;
}

a {
	color: var(--secondary);
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

a:focus {
	outline: 2px solid var(--secondary);
	outline-offset: 2px;
}

.hidden {
	display: none !important;
}

.container {
	padding: 2rem;
	position: relative;
	text-align: left;
}

.circle {
	position: absolute;
	background-color: var(--primary);
	border-radius: 50%;
	pointer-events: none;
	z-index: -1;
	width: 50vw;
	height: 50vw;
	box-shadow: 0 0 55px rgba(180, 254, 47, 0.65);
	left: calc(-0.28 * 50vw);
	top: calc(-0.26 * 50vw);
	will-change: transform;
	transform: translate3d(0, 0, 0);
}

@media (min-width: 768px) {
	.circle {
		width: 20vw;
		height: 20vw;
		left: calc(-0.28 * 20vw);
		top: calc(-0.26 * 20vw);
	}
}

.title {
	line-height: 0.9;
	margin: 0;
	font-size: clamp(4rem, -0.557rem + 20.2532vw, 12rem);
	text-transform: uppercase;
	letter-spacing: 0.02em;
}

.email {
	font-size: 1.5rem;
	display: inline-flex;
	align-items: center;
	gap: 0.5rem;
	margin-bottom: 0;
}

.email svg {
	fill: var(--grey);
}

.footer {
	padding: 1rem;
	position: fixed;
	left: 0;
	right: 0;
	bottom: 0;
	font-size: 0.75rem;
	text-align: center;
	color: var(--grey);
}

.footer p {
	margin: 0;
}

.btn {
	padding: 1rem 1.5rem;
	border-radius: 9999px;
	background-color: var(--white);
	border: 1px solid var(--grey-light);
	font-weight: 700;
	cursor: pointer;
	box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.05);
	transition: all 0.2s;
	display: inline-flex;
	align-items: center;
	justify-content: center;
	gap: 0.5rem;
}

.btn > svg {
	color: var(--grey);
	font-size: 1.5em;
	line-height: 0;
	margin: -0.25em 0;
}

.btn--permission {
	margin-bottom: 2rem;
}
